# =============================================================================
# MonkAPI - Secret (Sensitive configuration)
# NOTE: Replace placeholder values with base64-encoded actual values
# Use: echo -n 'value' | base64
# =============================================================================
apiVersion: v1
kind: Secret
metadata:
  name: monkapi-secret
  namespace: monkapi
  labels:
    app: monkapi
type: Opaque
data:
  # Database
  # echo -n 'mysql://user:password@host:3306/dbname' | base64
  DATABASE_URL: <BASE64_ENCODED_DATABASE_URL>

  # JWT Secret (generate with: openssl rand -base64 64)
  JWT_SECRET: <BASE64_ENCODED_JWT_SECRET>
  JWT_REFRESH_SECRET: <BASE64_ENCODED_JWT_REFRESH_SECRET>

  # Stripe
  STRIPE_SECRET_KEY: <BASE64_ENCODED_STRIPE_KEY>
  STRIPE_WEBHOOK_SECRET: <BASE64_ENCODED_STRIPE_WEBHOOK_SECRET>

  # Firebase
  FIREBASE_PROJECT_ID: <BASE64_ENCODED_PROJECT_ID>
  FIREBASE_PRIVATE_KEY: <BASE64_ENCODED_PRIVATE_KEY>
  FIREBASE_CLIENT_EMAIL: <BASE64_ENCODED_CLIENT_EMAIL>

  # Twilio
  TWILIO_SID: <BASE64_ENCODED_TWILIO_SID>
  TWILIO_TOKEN: <BASE64_ENCODED_TWILIO_TOKEN>

  # AWS S3
  AWS_ACCESS_KEY_ID: <BASE64_ENCODED_AWS_KEY>
  AWS_SECRET_ACCESS_KEY: <BASE64_ENCODED_AWS_SECRET>
  AWS_S3_BUCKET: <BASE64_ENCODED_BUCKET_NAME>

  # SMTP
  SMTP_PASSWORD: <BASE64_ENCODED_SMTP_PASSWORD>
